camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-5522) Cannot install camel-atom, camel-rss and camel-hbase in Karaf
Date Mon, 20 Aug 2012 11:08:37 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-5522?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13437785#comment-13437785
] 

Claus Ibsen commented on CAMEL-5522:
------------------------------------

Downgrading axiom to 1.2.12 works fine

karaf@root> features:chooseurl camel 2.11-SNAPSHOT
adding feature url mvn:org.apache.camel.karaf/apache-camel/2.11-SNAPSHOT/xml/features
karaf@root> features:install camel
karaf@root> features:install camel-atom
Refreshing bundles org.springframework.context.support (57)

karaf@root> list
START LEVEL 100 , List Threshold: 50
   ID   State         Blueprint      Spring    Level  Name
[  64] [Active     ] [            ] [       ] [   50] camel-core (2.11.0.SNAPSHOT)
[  65] [Active     ] [Created     ] [       ] [   50] camel-karaf-commands (2.11.0.SNAPSHOT)
[  72] [Active     ] [            ] [       ] [   50] geronimo-jta_1.1_spec (1.1.1)
[  73] [Active     ] [            ] [       ] [   50] camel-spring (2.11.0.SNAPSHOT)
[  74] [Active     ] [Created     ] [       ] [   50] camel-blueprint (2.11.0.SNAPSHOT)
[  75] [Active     ] [            ] [       ] [   50] JavaMail API (compat) (1.4.5)
[  76] [Active     ] [            ] [       ] [   50] Axiom Impl (1.2.12)
[  77] [Active     ] [            ] [       ] [   50] Axiom API (1.2.12)
[  78] [Active     ] [            ] [       ] [   50] Abdera Core (1.1.2)
[  79] [Active     ] [            ] [       ] [   50] Abdera Extensions - Main (1.1.2)
[  80] [Active     ] [            ] [       ] [   50] I18N Libraries (1.1.2)
[  81] [Active     ] [            ] [       ] [   50] Abdera Parser (1.1.2)
[  82] [Active     ] [            ] [       ] [   50] Apache JAMES Mime4j (Core) (0.7.2)
[  83] [Active     ] [            ] [       ] [   50] Commons Codec (1.6.0)
[  84] [Active     ] [            ] [       ] [   50] camel-atom (2.11.0.SNAPSHOT)
                
> Cannot install camel-atom, camel-rss and camel-hbase in Karaf
> -------------------------------------------------------------
>
>                 Key: CAMEL-5522
>                 URL: https://issues.apache.org/jira/browse/CAMEL-5522
>             Project: Camel
>          Issue Type: Task
>          Components: karaf, osgi
>    Affects Versions: 2.11.0
>            Reporter: Claus Ibsen
>            Priority: Minor
>             Fix For: 2.11.0
>
>
> camel-atom
> camel-hbase
> camel-rss
> On trunk fails to test in tests/camel-itest-karaf.
> I am trying to install them manually in Karaf 2.2.9 to get more detail what happens,
as sometime the unit tests leaves you in the dark (nothing logged of interrest).

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message